Package com.verisign.epp.codec.persreg

## Class EPPPersRegCreateData

- java.lang.Object
- - com.verisign.epp.codec.persreg.EPPPersRegGenData
  - - com.verisign.epp.codec.persreg.EPPPersRegCreateData

- All Implemented Interfaces:
    `EPPCodecComponent`, `java.io.Serializable`, `java.lang.Cloneable`

      public class EPPPersRegCreateData
      extends EPPPersRegGenData

  Personal Registration <creData> extension element to a EPP Create Response. The bundled rate flag indicates if the bundled rate applies to the <create> EPP Command.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static java.lang.String` | `ELM_NAME` | XML root tag for `EPPPersRegCreateData`.

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `EPPPersRegCreateData()` | Default constructor.
    `EPPPersRegCreateData​(boolean aIsBundledRate)` | Constructor that sets the bundled flag.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.Object` | `clone()` | clone an `EPPCodecComponent`.
    `boolean` | `equals​(java.lang.Object aObject)` | Compare an instance of `EPPPersRegCreateData` with this instance.
    `java.lang.String` | `getNamespace()` | Returns the XML namespace associated with the `EPPCodecComponent`.
    `protected java.lang.String` | `getRootElm()` | Gets the root element name.

    - ### Methods inherited from class com.verisign.epp.codec.persreg.EPPPersRegGenData

      `decode, encode, isBundledRate, setIsBundedRate`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### ELM_NAME

          public static final java.lang.String ELM_NAME

      XML root tag for `EPPPersRegCreateData`.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### EPPPersRegCreateData

          public EPPPersRegCreateData()

      Default constructor. Bundled flag defaults to `false`.

    - #### EPPPersRegCreateData

          public EPPPersRegCreateData​(boolean aIsBundledRate)

      Constructor that sets the bundled flag.
      Parameters:
        `aIsBundledRate` - Does the bundled rate apply?

  - ### Method Detail

    - #### equals

          public boolean equals​(java.lang.Object aObject)

      Compare an instance of `EPPPersRegCreateData` with this instance.
      Overrides:
        `equals` in class `EPPPersRegGenData`
      Parameters:
        `aObject` - Object to compare with.
      Returns:
        `true` if equal; `false` otherwise.

    - #### clone

          public java.lang.Object clone()
                                 throws java.lang.CloneNotSupportedException

      clone an `EPPCodecComponent`.
      Specified by:
        `clone` in interface `EPPCodecComponent`
      Overrides:
        `clone` in class `EPPPersRegGenData`
      Returns:
        clone of concrete `EPPPersRegCreateData`
      Throws:
        `java.lang.CloneNotSupportedException` - standard Object.clone exception

    - #### getRootElm

          protected java.lang.String getRootElm()

      Gets the root element name.
      Specified by:
        `getRootElm` in class `EPPPersRegGenData`
      Returns:
        "persReg:creData"

    - #### getNamespace

          public java.lang.String getNamespace()

      Returns the XML namespace associated with the `EPPCodecComponent`.
      Returns:
        XML namespace for the `EPPCodecComponent`.